Bug 481159 - Review Request: ocaml-autoconf - Autoconf macros for OCaml
Review Request: ocaml-autoconf - Autoconf macros for OCaml
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-22 09:42 EST by Richard W.M. Jones
Modified: 2009-05-25 17:22 EDT (History)
2 users (show)

See Also:
Fixed In Version: 1.0-4.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-23 02:50:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2009-01-22 09:42:57 EST
Spec URL: http://www.annexia.org/tmp/ocaml/ocaml-autoconf.spec
SRPM URL: http://www.annexia.org/tmp/ocaml/ocaml-autoconf-0.1-0.1.git20090122.fc10.src.rpm
Description: Autoconf macros for OCaml
Comment 1 Richard W.M. Jones 2009-01-22 09:45:52 EST
NOTE: setting NotReady flag on this review.  We are
still resolving licensing issues upstream.

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1074116
Comment 2 Richard W.M. Jones 2009-03-31 13:39:33 EDT
This is ready for review.

Spec URL: http://www.annexia.org/tmp/ocaml/ocaml-autoconf.spec
SRPM URL: http://www.annexia.org/tmp/ocaml/ocaml-autoconf-1.0-1.fc10.src.rpm
* Tue Mar 31 2009 Richard W.M. Jones <rjones@redhat.com> - 1.0-1
- Upstream has released version 1.0 and it is properly licensed.
Comment 3 Richard W.M. Jones 2009-03-31 13:43:46 EDT
rpmlint is silent.

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1268345
Comment 4 Jason Tibbitts 2009-04-01 13:55:11 EDT
There's not really all that much to this package.  I've no idea how to test it, of course, but packaging-wise it's fine.

I would generally advise against using https links for Source URLs when the upstream sites have unverifiable certificates; it breaks spectool.  Maybe one day cacert will pull its head out with regards to the licensing of its root certificates and we can include them in Fedora by default.  Luckily my spectool is patched to pass --no-check-certificate.

* source files match upstream.  sha256sum:
   67e85520f65c033c86e99e5438e51657e777579034570527c1b2c62096ecb004  
   ocaml-autoconf-1.0.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* rpmlint is silent.
* final provides and requires are sane:
   ocaml-autoconf = 1.0-1.fc11
  =
   automake

* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no generically named files
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

APPROVED
Comment 5 Richard W.M. Jones 2009-04-07 06:42:37 EDT
Somehow this bug got overlooked, sorry about that ...

New Package CVS Request
=======================
Package Name: ocaml-autoconf
Short Description: Autoconf macros for OCaml
Owners: rjones
Branches: EL-5 F-10 F-11
InitialCC:
Comment 6 Kevin Fenzi 2009-04-07 22:38:18 EDT
cvs done.
Comment 7 Richard W.M. Jones 2009-05-23 02:47:12 EDT
Well, I'm not sure what happened to this one - I seem to
have forgotten about the package at the import stage.

Anyhow, now imported and built ...

F-10: http://koji.fedoraproject.org/koji/taskinfo?taskID=1371885
F-11: http://koji.fedoraproject.org/koji/taskinfo?taskID=1371887
F-12: http://koji.fedoraproject.org/koji/taskinfo?taskID=1371886
Comment 8 Fedora Update System 2009-05-23 02:49:43 EDT
ocaml-autoconf-1.0-4.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/ocaml-autoconf-1.0-4.fc10
Comment 9 Fedora Update System 2009-05-23 02:50:18 EDT
ocaml-autoconf-1.0-4.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/ocaml-autoconf-1.0-4.fc11
Comment 10 Fedora Update System 2009-05-25 17:10:59 EDT
ocaml-autoconf-1.0-4.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2009-05-25 17:22:04 EDT
ocaml-autoconf-1.0-4.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.